/**
* UDP to OSC > Isadora
* Author     :    Juriaan 
 */

// SETTINGS
// Change the IP / Port to your Isadora settings :)
NetAddress izzyBridge = new NetAddress("127.0.0.1", 7000);

// Change this to the incoming port (WatchOUT / any other application that sends UDP commands..)
int incomingPort = 6000; 

// import UDP library
import hypermedia.net.*;

// Import OSC library
import oscP5.*;
import netP5.*;


UDP udp;  // define the UDP object
OscP5 oscP5; // Define the OSC object

void setup() {
  
  // Create our window
  size(400, 400);
  frameRate(25);
  
  // create a new datagram connection on port 6000
  // and wait for incomming message
  udp = new UDP( this, incomingPort);
  udp.log( true );     // <-- printout the connection activity
  udp.listen( true );
  
  // Start OSCp5
  oscP5 = new OscP5(this, 12000);
}

//process events
void draw() {;}

void receive( byte[] data, String ip, int port ) {  // <-- extended handler
  String message = new String( data );
  
  // print the result
  println( "receive: \""+message+"\" from "+ip+" on port "+port );
  
  // Create our OSC Message
  OscMessage mypackage     =  new OscMessage("/izzybridge");
  mypackage.add(message);
  
  // Send the message
  oscP5.send(mypackage, izzyBridge);
}